<?php

/*
Plugin Name: Dave's Outdated Browser Warning
Description: Alerts users to their outdated browsers
Version: 0.1
Author: Dave Ross
Author URI: http://csixty4.com/
*/

/**
 * Copyright (c) 2009 Dave Ross <dave@csixty4.com>
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 **/
 
class OutdatedBrowserWarning
{	
	public static function init()
	{
		$pluginPath = WP_PLUGIN_URL.'/'.str_replace(basename(__FILE__),"",plugin_basename(__FILE__));
		
		wp_enqueue_script('jquery');
		wp_enqueue_script('outdated-browser-warning', $pluginPath.'outdated-browser-warning.js.php', 'javascript_browser_detection');
		
		wp_enqueue_style( 'outdated-browser-warning', $pluginPath.'outdated-browser-warning.css');
	}
	
	public static function footer()
	{	
		$pluginPath = WP_PLUGIN_URL.'/'.str_replace(basename(__FILE__),"",plugin_basename(__FILE__));
		
		$footer = <<<FOOTER
			<div id="outdated_browser" style="display: none;">
			    <img src="{$pluginPath}icons" id="outdated_browser_icon" alt="Browser Icon" /> <p>It appears that you are using an outdated version of your browser.  Please <a href="" id="outdated_browser_link">upgrade your browser</a> for better security and an improved experience!</p>
			</div>
FOOTER;

		print $footer;
	}
}

add_action('wp_footer', 'OutdatedBrowserWarning::footer');
add_action('init', 'OutdatedBrowserWarning::init');
?>